Bug 464710 - (CVE-2008-3639) CVE-2008-3639 CUPS: SGI image parser heap-based buffer overflow
CVE-2008-3639 CUPS: SGI image parser heap-based buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=important,source=vendorsec,rep...
: Security
Depends On: 464718 464719 464720 464721 464722 466418 466419 466420
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 20:13 EDT by Josh Bressers
Modified: 2016-03-04 07:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 03:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from Apple (1.00 KB, patch)
2008-09-29 20:14 EDT, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2918 None None None Never

  None (edit)
Description Josh Bressers 2008-09-29 20:13:08 EDT
A heap-based buffer overflow issue exists within the read_rle16() function
of the imagetops CUPS image filter. The row count is not properly
validated, and is used to control how many 16-bit integers are stored in a
heap-based buffer.

Acknowledgements:

Red Hat would like to thank "regenrecht" for reporting this issue.
Comment 1 Josh Bressers 2008-09-29 20:14:45 EDT
Created attachment 318027 [details]
Patch from Apple
Comment 3 Tomas Hoger 2008-10-10 02:40:02 EDT
Public now via:

http://cups.org/articles.php?L575
http://www.cups.org/str.php?L2918

Fixed upstream in: 1.3.9
Comment 5 Fedora Update System 2008-10-15 22:03:46 EDT
cups-1.3.9-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-10-15 22:08:18 EDT
cups-1.3.9-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Red Hat Product Security 2008-10-16 03:34:33 EDT
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0937.html

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-8801
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-8844

Note You need to log in before you can comment on or make changes to this bug.